## transcode-0.6.0rc1.tgz

=== contrib/subrip/Makefile ===
#
# Makefile for subtitle2pgm + srttool
#

# use always:
DEFINES :=  
LIBS    := -lm 
INCLUDES :=

### enable ppm support ###
DEFINES  += -D_HAVE_LIB_PPM_
LIBS     += -lppm

### enable zlib support ###
DEFINES += -D_HAVE_ZLIB_
LIBS    += -lz

CC = gcc
WARN     = -Wall -Wstrict-prototypes 
COPT     = -g -O2  

CFLAGS = $(COPT) $(WARN) $(DEFINES) $(INCLUDES) 

# list of all files that are part of the package
PACKAGE_FILES = Makefile \
               subtitle2pgm.c subtitle2pgm.h spudec.c  spudec.h \
               srttool.c \
               pgm2txt \
               README  README.gocr  README.srttool  README.subtitle2pgm 

# Name of the package
PACKAGE = subrip

# version number
VERSION = `date +%Y%m%d`

# Main targets

TARGETS = subtitle2pgm srttool

all:  $(TARGETS) 

# Generic Rules

%.o:%.c
	@echo Compiling $<
	@$(CC) -c $(CFLAGS) $<

# Dependencies
subtitle2pgm.o: subtitle2pgm.c spudec.h subtitle2pgm.h
spudec.o: spudec.c spudec.h

# Target
subtitle2pgm: subtitle2pgm.o spudec.o
	@echo "Linking $@"
	@$(CC) $(LIBS) $^ -o $@  

srttool: srttool.o
	@echo "Linking $@"
	@$(CC) $(LIBS) -g $^ -o $@  

.PHONY: clean dist
clean:
	rm -f $(TARGETS) subtitle2pgm.o spudec.o srttool.o *~

dist:
	@mkdir $(PACKAGE)
	@cp $(PACKAGE_FILES) $(PACKAGE)
	@tar cvzf $(PACKAGE)-$(VERSION).tgz $(PACKAGE)
	@rm -rf $(PACKAGE)
	@mv $(PACKAGE)-$(VERSION).tgz ~/

=== debian/changelog ===
transcode (0.5.3-1) unstable; urgency=low
  * New upstream release.
  * Fixed: could not build deb since we depended on Makefile before
    creating it via configure.
  * Fixed: removed --without-libmpeg3 from the configure line.  compile
    problem has apparently gone away with upgrade to libmpeg3 1.5

 -- David Sobon <bk@nerd.ca>  Wed, 27 Dec 2001 18:27:18 +0900

=== debian/control ===
Source: transcode
Priority: optional
Maintainer: David Sobon <bk@nerd.ca>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, libavifile0.6, libavifile0.6-dev, nasm, libglib1.2, libglib1.2-dev, libxaw6-dev | libxaw7-dev

Package: transcode
Architecture: any
Section: unknown
Depends: ${shlibs:Depends}
Description: linux video stream processing utility
 transcode is a text-console video stream processing tool. Decoding and
 encoding is done by loading shared library modules that are responsible
 for feeding transcode with raw RGB/PCM streams (import module) and
 encoding the frames (export module). It supports elementary video and
 audio frame transformations. Some example modules are included to
 enable import of MPEG program streams (VOB), Digital Video (DV), or
 YUV video and export modules for writing DivX ;-), OpenDivX, or
 uncompressed AVI files.
 .
 A set of tools is available to extract and decode the sources into
 raw video/audio streams for import and to enable post-processing of AVI
 files.
 .
 Written by Thomas streich <ostreich@theorie.physik.uni-goettingen.de>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-  

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

INST = install -p
package = transcode
installprefix = $(PWD)/debian/tmp

build: 
	$(checkdir)
	./configure --with-lame --prefix /usr
	nice -n 20 $(MAKE) -j 2
	touch build

clean:
	$(checkdir)
	dh_clean
	@if [ -f Makefile ]; then $(MAKE) distclean ; fi
	@rm -f log build config.cache

binary-indep:
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: clean checkscripts build
	$(checkdir)
	@echo ":: Preparing packages"
	
	@dh_testdir
	@dh_testroot
	@dh_installdirs
	
	@make DESTDIR=$(installprefix) install
# remove *.la since it's for developmental purposes only(??)
	@rm -f `find debian/tmp -name "*.la"`

	dh_undocumented -p transcode avifix.1
	dh_undocumented -p transcode avimerge.1
	dh_undocumented -p transcode avisplit.1
	dh_undocumented -p transcode avisync.1
	dh_undocumented -p transcode transcode.1

#	@dh_installexamples
	dh_installdocs
	dh_installchangelogs -k ChangeLog

	dh_installmime
	dh_installmenu
#	@dh_installcron
#	dh_installmanpages -ptmp
	@dh_movefiles
	dh_compress
#	dh_fixperms -Xkv4lsetup
	dh_strip
	dh_shlibdeps
	dh_makeshlibs -V

	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb -v

define checkdir
	@test -f debian/rules
endef

checkscripts:
	@echo ":: Checking scripts"

# Below here is fairly generic really

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-indep binary-arch clean checkroot
